Package jakarta.security.auth.message.config

## Interface AuthConfigProvider

    public interface AuthConfigProvider

### Method Summary

All Methods Instance Methods Abstract Methods
`ClientAuthConfig` `getClientAuthConfig​(java.lang.String layer, java.lang.String appContext, javax.security.auth.callback.CallbackHandler handler)`
`ServerAuthConfig` `getServerAuthConfig​(java.lang.String layer, java.lang.String appContext, javax.security.auth.callback.CallbackHandler handler)`
`void` `refresh()`

### Method Detail

#### getClientAuthConfig

    ClientAuthConfig getClientAuthConfig​(java.lang.String layer,
                                         java.lang.String appContext,
                                         javax.security.auth.callback.CallbackHandler handler)
                                  throws AuthException

Throws:
  `AuthException`

#### getServerAuthConfig

    ServerAuthConfig getServerAuthConfig​(java.lang.String layer,
                                         java.lang.String appContext,
                                         javax.security.auth.callback.CallbackHandler handler)
                                  throws AuthException

Throws:
  `AuthException`

#### refresh

    void refresh()